Query status of edge nodes
GET /api/v1/devices/status. Edge nodes API reference.
curl --request GET \
--url https://{apiHost}/api/v1/devices/status \
--header 'Authorization: Bearer <token>'import requests
url = "https://{apiHost}/api/v1/devices/status"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{apiHost}/api/v1/devices/status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"list": [
{
"name": "<string>",
"id": "<string>",
"adminState": "ADMIN_STATE_UNSPECIFIED",
"runState": "RUN_STATE_UNSPECIFIED",
"tags": {},
"netStatusList": [
{
"up": true,
"macAddr": "<string>",
"ifName": "<string>",
"ipAddrs": [
"<string>"
],
"defaultRouters": [
"<string>"
],
"dns": {
"servers": [
"<string>"
],
"domain": "<string>",
"search": [
"<string>"
]
},
"location": {
"underlayIP": "<string>",
"hostname": "<string>",
"city": "<string>",
"region": "<string>",
"country": "<string>",
"loc": "<string>",
"org": "<string>",
"postal": "<string>",
"latlong": "<string>",
"freeloc": "<string>"
},
"uplink": true,
"proxy": {
"networkProxy": true,
"proxies": [
{
"proto": "NETWORK_PROXY_PROTO_HTTP",
"server": "<string>",
"port": 123
}
],
"exceptions": "<string>",
"pacfile": "<string>",
"networkProxyURL": "<string>",
"wpadProxyURL": "<string>"
},
"errInfo": {
"description": "<string>",
"severity": "SEVERITY_UNSPECIFIED",
"timestamp": {},
"entities": [
{
"entity": "ENTITY_UNSPECIFIED",
"entityId": "<string>",
"entityName": "<string>"
}
],
"retryCondition": "<string>"
},
"gpsLocation": {
"latitude": 123,
"longitude": 123,
"altitude": 123,
"timestamp": {},
"horizontalReliability": 123,
"verticalReliability": 123,
"horizontalUncertainty": 123,
"verticalUncertainty": 123,
"logicalLabel": "<string>"
},
"cellular": {
"providers": [
{
"plmn": "<string>",
"name": "<string>",
"rat": "RADIO_ACCESS_TECHNOLOGY_UNSPECIFIED",
"roaming": true,
"connectedAt": "2023-11-07T05:31:56Z"
}
],
"modem": {
"manufacturer": "<string>",
"model": "<string>",
"firmwareVersion": "<string>",
"imei": "<string>",
"operatingState": "Z_CELLULAR_OPERATING_STATE_UNSPECIFIED",
"controlProtocol": "Z_CELLULAR_CONTROL_PROTOCOL_UNSPECIFIED"
},
"simCards": [
{
"slotNumber": 123,
"slotActivated": true,
"iccid": "<string>",
"imsi": "<string>",
"state": "<string>"
}
]
},
"mtu": 123,
"pnacStatus": {
"enabled": true,
"supplicantState": "PNAC_SUPPLICANT_STATE_UNSPECIFIED",
"lastAuthTimestamp": "2023-11-07T05:31:56Z",
"err": {
"description": "<string>",
"severity": "SEVERITY_UNSPECIFIED",
"timestamp": {},
"entities": [
{
"entity": "ENTITY_UNSPECIFIED",
"entityId": "<string>",
"entityName": "<string>"
}
],
"retryCondition": "<string>"
}
},
"configSource": {
"origin": "NETWORK_CONFIG_ORIGIN_UNSPECIFIED",
"submittedAt": "2023-11-07T05:31:56Z"
}
}
],
"swInfo": [
{
"activated": true,
"partitionLabel": "<string>",
"partitionDevice": "<string>",
"partitionState": "<string>",
"status": "SW_STATE_UNSPECIFIED",
"shortVersion": "<string>",
"longVersion": "<string>",
"swError": {
"description": "<string>",
"severity": "SEVERITY_UNSPECIFIED",
"timestamp": {},
"entities": [
{
"entity": "ENTITY_UNSPECIFIED",
"entityId": "<string>",
"entityName": "<string>"
}
],
"retryCondition": "<string>"
},
"downloadProgress": 123,
"swStatus": "DEVICE_SW_STATUS_UNSPECIFIED",
"swSubStatus": "DEVICE_SW_SUB_STATUS_UNSPECIFIED",
"swSubStatusStr": "<string>",
"subStatusProgress": 123,
"isLTS": true
}
],
"minfo": {
"manufacturer": "<string>",
"productName": "<string>",
"version": "<string>",
"serialNumber": "<string>",
"uuid": "<string>",
"compatible": "<string>",
"biosVendor": "<string>",
"biosVersion": "<string>",
"biosReleaseDate": "<string>",
"hSMStatus": "DEVICE_HW_SECURITY_MODULE_STATUS_UNSPECIFIED",
"hSMInfo": "<string>",
"endorsementKey": "<string>"
},
"dinfo": {
"machineArch": "<string>",
"cpuArch": "<string>",
"platform": "<string>",
"nCpu": 123,
"memMB": "<string>",
"storageMB": "<string>"
},
"Memory": {
"TotalMB": 123,
"UsedMB": 123,
"AllocatedMB": 123
},
"Storage": {
"TotalMB": 123,
"UsedMB": 123,
"AllocatedMB": 123,
"sharedStorageSummary": [
{
"Id": "<string>",
"Name": "<string>",
"AllocatedMB": 123,
"UsedMB": 123
}
],
"Id": "<string>",
"Name": "<string>"
},
"Cpu": {
"Utilization": 123
},
"devError": [
{
"description": "<string>",
"severity": "SEVERITY_UNSPECIFIED",
"timestamp": {},
"entities": [
{
"entity": "ENTITY_UNSPECIFIED",
"entityId": "<string>",
"entityName": "<string>"
}
],
"retryCondition": "<string>"
}
],
"projectId": "<string>",
"title": "<string>",
"clusterID": "<string>",
"memorySummary": {
"deviceMemoryMB": 123,
"allocatedAppsMB": 123,
"allocatedEveMB": 123,
"usedEveMB": 123,
"availableForNewApps": 123
},
"debugKnob": true,
"debugKnobExpiryTime": "2023-11-07T05:31:56Z",
"projectName": "<string>",
"appInstCount": 123,
"location": "<string>",
"edgeviewActive": true,
"projectType": "TAG_TYPE_UNSPECIFIED",
"clusterNodeStatus": {
"age": 123,
"internalIP": "<string>",
"conditions": "<string>",
"nodeType": "CLUSTER_NODE_TYPE_UNSPECIFIED"
},
"enrolledCertsStatus": "ENROLLED_CERT_STATUS_UNSPECIFIED"
}
],
"summaryByState": {
"description": "<string>",
"total": 123,
"values": {}
},
"summaryByAppInstanceCount": {
"description": "<string>",
"total": 123,
"values": {}
},
"summaryByEVEDistribution": {
"description": "<string>",
"total": 123,
"values": {}
},
"totalCount": 123,
"totalEdgeviewActive": 123,
"next": {
"pageToken": "<string>",
"orderBy": [
"<string>"
],
"pageNum": 123,
"pageSize": 123,
"totalPages": 123
}
}{
"operationType": "OPS_TYPE_UNSPECIFIED",
"operationStatus": "OPS_STATUS_UNSPECIFIED",
"objectKind": "<string>",
"objectId": "<string>",
"objectName": "<string>",
"objectRevision": "<string>",
"objectType": "OBJECT_TYPE_UNSPECIFIED",
"operationTime": "<string>",
"startTime": "<string>",
"endTime": "<string>",
"user": "<string>",
"httpStatusCode": 123,
"httpStatusMsg": "<string>",
"jobId": "<string>",
"error": [
{
"ec": "zMsgErrorNone",
"location": "<string>",
"details": "<string>"
}
]
}{
"operationType": "OPS_TYPE_UNSPECIFIED",
"operationStatus": "OPS_STATUS_UNSPECIFIED",
"objectKind": "<string>",
"objectId": "<string>",
"objectName": "<string>",
"objectRevision": "<string>",
"objectType": "OBJECT_TYPE_UNSPECIFIED",
"operationTime": "<string>",
"startTime": "<string>",
"endTime": "<string>",
"user": "<string>",
"httpStatusCode": 123,
"httpStatusMsg": "<string>",
"jobId": "<string>",
"error": [
{
"ec": "zMsgErrorNone",
"location": "<string>",
"details": "<string>"
}
]
}{
"operationType": "OPS_TYPE_UNSPECIFIED",
"operationStatus": "OPS_STATUS_UNSPECIFIED",
"objectKind": "<string>",
"objectId": "<string>",
"objectName": "<string>",
"objectRevision": "<string>",
"objectType": "OBJECT_TYPE_UNSPECIFIED",
"operationTime": "<string>",
"startTime": "<string>",
"endTime": "<string>",
"user": "<string>",
"httpStatusCode": 123,
"httpStatusMsg": "<string>",
"jobId": "<string>",
"error": [
{
"ec": "zMsgErrorNone",
"location": "<string>",
"details": "<string>"
}
]
}{
"operationType": "OPS_TYPE_UNSPECIFIED",
"operationStatus": "OPS_STATUS_UNSPECIFIED",
"objectKind": "<string>",
"objectId": "<string>",
"objectName": "<string>",
"objectRevision": "<string>",
"objectType": "OBJECT_TYPE_UNSPECIFIED",
"operationTime": "<string>",
"startTime": "<string>",
"endTime": "<string>",
"user": "<string>",
"httpStatusCode": 123,
"httpStatusMsg": "<string>",
"jobId": "<string>",
"error": [
{
"ec": "zMsgErrorNone",
"location": "<string>",
"details": "<string>"
}
]
}{
"operationType": "OPS_TYPE_UNSPECIFIED",
"operationStatus": "OPS_STATUS_UNSPECIFIED",
"objectKind": "<string>",
"objectId": "<string>",
"objectName": "<string>",
"objectRevision": "<string>",
"objectType": "OBJECT_TYPE_UNSPECIFIED",
"operationTime": "<string>",
"startTime": "<string>",
"endTime": "<string>",
"user": "<string>",
"httpStatusCode": 123,
"httpStatusMsg": "<string>",
"jobId": "<string>",
"error": [
{
"ec": "zMsgErrorNone",
"location": "<string>",
"details": "<string>"
}
]
}{
"code": 123,
"message": "<string>",
"details": [
{
"typeUrl": "<string>",
"value": "aSDinaTvuI8gbWludGxpZnk="
}
]
}Authorizations
Bearer token for user session
Headers
User-Agent specified id to track a request
Query Parameters
UNSPECIFIED, ONLINE, HALTED, INIT, REBOOTING, OFFLINE, UNKNOWN, UNPROVISIONED, PROVISIONED, SUSPECT, DOWNLOADING, RESTARTING, PURGING, HALTING, ERROR, VERIFYING, LOADING, CREATING_VOLUME, BOOTING, MAINTENANCE_MODE, START_DELAYED, BASEOS_UPDATING, PREPARING_POWEROFF, POWERING_OFF, PREPARED_POWEROFF UNSPECIFIED, FREE, MODERATE, HEAVY Page Token
OrderBy helps in sorting the list response
Page Number
Defines the page size
Total number of pages to be fetched.
Fields to select for composite api: id, name, title, serialNo, projectId, projectName, isEveLatest, appInstCount, runState, adminState.
- CREATED: Entity Created in the controller
- DELETED: Entity Deleted in the controller
- ACTIVE: Entity Activated in the controller
- INACTIVE: Entity Deactivated in the controller
- REGISTERED: Specific to Edge-node - Edge-node Registered with the controller
- ARCHIVED: Entity Archived in the controller
UNSPECIFIED, CREATED, DELETED, ACTIVE, INACTIVE, REGISTERED, ARCHIVED filter devices by eve version support type i.e LTS OR NON_LTS
SUPPORT_TYPE_UNSPECIFIED, SUPPORT_TYPE_LTS, SUPPORT_TYPE_NON_LTS flag to indicate whether to include network interface details in the response
title pattern
Response
A successful response.
Show child attributes
Show child attributes
Summary is used to store the Summary details
Show child attributes
Show child attributes
Summary is used to store the Summary details
Show child attributes
Show child attributes
Summary is used to store the Summary details
Show child attributes
Show child attributes
Cursor helps in filtering the various list response like edge-app bundle list, model list, bundle list etc.
Show child attributes
Show child attributes
Was this page helpful?
curl --request GET \
--url https://{apiHost}/api/v1/devices/status \
--header 'Authorization: Bearer <token>'import requests
url = "https://{apiHost}/api/v1/devices/status"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{apiHost}/api/v1/devices/status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"list": [
{
"name": "<string>",
"id": "<string>",
"adminState": "ADMIN_STATE_UNSPECIFIED",
"runState": "RUN_STATE_UNSPECIFIED",
"tags": {},
"netStatusList": [
{
"up": true,
"macAddr": "<string>",
"ifName": "<string>",
"ipAddrs": [
"<string>"
],
"defaultRouters": [
"<string>"
],
"dns": {
"servers": [
"<string>"
],
"domain": "<string>",
"search": [
"<string>"
]
},
"location": {
"underlayIP": "<string>",
"hostname": "<string>",
"city": "<string>",
"region": "<string>",
"country": "<string>",
"loc": "<string>",
"org": "<string>",
"postal": "<string>",
"latlong": "<string>",
"freeloc": "<string>"
},
"uplink": true,
"proxy": {
"networkProxy": true,
"proxies": [
{
"proto": "NETWORK_PROXY_PROTO_HTTP",
"server": "<string>",
"port": 123
}
],
"exceptions": "<string>",
"pacfile": "<string>",
"networkProxyURL": "<string>",
"wpadProxyURL": "<string>"
},
"errInfo": {
"description": "<string>",
"severity": "SEVERITY_UNSPECIFIED",
"timestamp": {},
"entities": [
{
"entity": "ENTITY_UNSPECIFIED",
"entityId": "<string>",
"entityName": "<string>"
}
],
"retryCondition": "<string>"
},
"gpsLocation": {
"latitude": 123,
"longitude": 123,
"altitude": 123,
"timestamp": {},
"horizontalReliability": 123,
"verticalReliability": 123,
"horizontalUncertainty": 123,
"verticalUncertainty": 123,
"logicalLabel": "<string>"
},
"cellular": {
"providers": [
{
"plmn": "<string>",
"name": "<string>",
"rat": "RADIO_ACCESS_TECHNOLOGY_UNSPECIFIED",
"roaming": true,
"connectedAt": "2023-11-07T05:31:56Z"
}
],
"modem": {
"manufacturer": "<string>",
"model": "<string>",
"firmwareVersion": "<string>",
"imei": "<string>",
"operatingState": "Z_CELLULAR_OPERATING_STATE_UNSPECIFIED",
"controlProtocol": "Z_CELLULAR_CONTROL_PROTOCOL_UNSPECIFIED"
},
"simCards": [
{
"slotNumber": 123,
"slotActivated": true,
"iccid": "<string>",
"imsi": "<string>",
"state": "<string>"
}
]
},
"mtu": 123,
"pnacStatus": {
"enabled": true,
"supplicantState": "PNAC_SUPPLICANT_STATE_UNSPECIFIED",
"lastAuthTimestamp": "2023-11-07T05:31:56Z",
"err": {
"description": "<string>",
"severity": "SEVERITY_UNSPECIFIED",
"timestamp": {},
"entities": [
{
"entity": "ENTITY_UNSPECIFIED",
"entityId": "<string>",
"entityName": "<string>"
}
],
"retryCondition": "<string>"
}
},
"configSource": {
"origin": "NETWORK_CONFIG_ORIGIN_UNSPECIFIED",
"submittedAt": "2023-11-07T05:31:56Z"
}
}
],
"swInfo": [
{
"activated": true,
"partitionLabel": "<string>",
"partitionDevice": "<string>",
"partitionState": "<string>",
"status": "SW_STATE_UNSPECIFIED",
"shortVersion": "<string>",
"longVersion": "<string>",
"swError": {
"description": "<string>",
"severity": "SEVERITY_UNSPECIFIED",
"timestamp": {},
"entities": [
{
"entity": "ENTITY_UNSPECIFIED",
"entityId": "<string>",
"entityName": "<string>"
}
],
"retryCondition": "<string>"
},
"downloadProgress": 123,
"swStatus": "DEVICE_SW_STATUS_UNSPECIFIED",
"swSubStatus": "DEVICE_SW_SUB_STATUS_UNSPECIFIED",
"swSubStatusStr": "<string>",
"subStatusProgress": 123,
"isLTS": true
}
],
"minfo": {
"manufacturer": "<string>",
"productName": "<string>",
"version": "<string>",
"serialNumber": "<string>",
"uuid": "<string>",
"compatible": "<string>",
"biosVendor": "<string>",
"biosVersion": "<string>",
"biosReleaseDate": "<string>",
"hSMStatus": "DEVICE_HW_SECURITY_MODULE_STATUS_UNSPECIFIED",
"hSMInfo": "<string>",
"endorsementKey": "<string>"
},
"dinfo": {
"machineArch": "<string>",
"cpuArch": "<string>",
"platform": "<string>",
"nCpu": 123,
"memMB": "<string>",
"storageMB": "<string>"
},
"Memory": {
"TotalMB": 123,
"UsedMB": 123,
"AllocatedMB": 123
},
"Storage": {
"TotalMB": 123,
"UsedMB": 123,
"AllocatedMB": 123,
"sharedStorageSummary": [
{
"Id": "<string>",
"Name": "<string>",
"AllocatedMB": 123,
"UsedMB": 123
}
],
"Id": "<string>",
"Name": "<string>"
},
"Cpu": {
"Utilization": 123
},
"devError": [
{
"description": "<string>",
"severity": "SEVERITY_UNSPECIFIED",
"timestamp": {},
"entities": [
{
"entity": "ENTITY_UNSPECIFIED",
"entityId": "<string>",
"entityName": "<string>"
}
],
"retryCondition": "<string>"
}
],
"projectId": "<string>",
"title": "<string>",
"clusterID": "<string>",
"memorySummary": {
"deviceMemoryMB": 123,
"allocatedAppsMB": 123,
"allocatedEveMB": 123,
"usedEveMB": 123,
"availableForNewApps": 123
},
"debugKnob": true,
"debugKnobExpiryTime": "2023-11-07T05:31:56Z",
"projectName": "<string>",
"appInstCount": 123,
"location": "<string>",
"edgeviewActive": true,
"projectType": "TAG_TYPE_UNSPECIFIED",
"clusterNodeStatus": {
"age": 123,
"internalIP": "<string>",
"conditions": "<string>",
"nodeType": "CLUSTER_NODE_TYPE_UNSPECIFIED"
},
"enrolledCertsStatus": "ENROLLED_CERT_STATUS_UNSPECIFIED"
}
],
"summaryByState": {
"description": "<string>",
"total": 123,
"values": {}
},
"summaryByAppInstanceCount": {
"description": "<string>",
"total": 123,
"values": {}
},
"summaryByEVEDistribution": {
"description": "<string>",
"total": 123,
"values": {}
},
"totalCount": 123,
"totalEdgeviewActive": 123,
"next": {
"pageToken": "<string>",
"orderBy": [
"<string>"
],
"pageNum": 123,
"pageSize": 123,
"totalPages": 123
}
}{
"operationType": "OPS_TYPE_UNSPECIFIED",
"operationStatus": "OPS_STATUS_UNSPECIFIED",
"objectKind": "<string>",
"objectId": "<string>",
"objectName": "<string>",
"objectRevision": "<string>",
"objectType": "OBJECT_TYPE_UNSPECIFIED",
"operationTime": "<string>",
"startTime": "<string>",
"endTime": "<string>",
"user": "<string>",
"httpStatusCode": 123,
"httpStatusMsg": "<string>",
"jobId": "<string>",
"error": [
{
"ec": "zMsgErrorNone",
"location": "<string>",
"details": "<string>"
}
]
}{
"operationType": "OPS_TYPE_UNSPECIFIED",
"operationStatus": "OPS_STATUS_UNSPECIFIED",
"objectKind": "<string>",
"objectId": "<string>",
"objectName": "<string>",
"objectRevision": "<string>",
"objectType": "OBJECT_TYPE_UNSPECIFIED",
"operationTime": "<string>",
"startTime": "<string>",
"endTime": "<string>",
"user": "<string>",
"httpStatusCode": 123,
"httpStatusMsg": "<string>",
"jobId": "<string>",
"error": [
{
"ec": "zMsgErrorNone",
"location": "<string>",
"details": "<string>"
}
]
}{
"operationType": "OPS_TYPE_UNSPECIFIED",
"operationStatus": "OPS_STATUS_UNSPECIFIED",
"objectKind": "<string>",
"objectId": "<string>",
"objectName": "<string>",
"objectRevision": "<string>",
"objectType": "OBJECT_TYPE_UNSPECIFIED",
"operationTime": "<string>",
"startTime": "<string>",
"endTime": "<string>",
"user": "<string>",
"httpStatusCode": 123,
"httpStatusMsg": "<string>",
"jobId": "<string>",
"error": [
{
"ec": "zMsgErrorNone",
"location": "<string>",
"details": "<string>"
}
]
}{
"operationType": "OPS_TYPE_UNSPECIFIED",
"operationStatus": "OPS_STATUS_UNSPECIFIED",
"objectKind": "<string>",
"objectId": "<string>",
"objectName": "<string>",
"objectRevision": "<string>",
"objectType": "OBJECT_TYPE_UNSPECIFIED",
"operationTime": "<string>",
"startTime": "<string>",
"endTime": "<string>",
"user": "<string>",
"httpStatusCode": 123,
"httpStatusMsg": "<string>",
"jobId": "<string>",
"error": [
{
"ec": "zMsgErrorNone",
"location": "<string>",
"details": "<string>"
}
]
}{
"operationType": "OPS_TYPE_UNSPECIFIED",
"operationStatus": "OPS_STATUS_UNSPECIFIED",
"objectKind": "<string>",
"objectId": "<string>",
"objectName": "<string>",
"objectRevision": "<string>",
"objectType": "OBJECT_TYPE_UNSPECIFIED",
"operationTime": "<string>",
"startTime": "<string>",
"endTime": "<string>",
"user": "<string>",
"httpStatusCode": 123,
"httpStatusMsg": "<string>",
"jobId": "<string>",
"error": [
{
"ec": "zMsgErrorNone",
"location": "<string>",
"details": "<string>"
}
]
}{
"code": 123,
"message": "<string>",
"details": [
{
"typeUrl": "<string>",
"value": "aSDinaTvuI8gbWludGxpZnk="
}
]
}